## XviewerURIConverter XviewerURIConverter |

## Functions

GQuark | xviewer_uc_error_quark ()
XviewerURIConverter * | xviewer_uri_converter_new ()
gboolean | xviewer_uri_converter_check ()
gboolean | xviewer_uri_converter_requires_exif ()
gboolean | xviewer_uri_converter_do ()
char * | xviewer_uri_converter_preview ()
void | xviewer_uri_converter_print_list ()

## Types and Values

enum | XviewerUCType
| XviewerUCInfo
enum | XviewerUCError
#define | XVIEWER_UC_ERROR
| XviewerURIConverter

## Description

## Functions

### xviewer_uc_error_quark ()

    GQuark
    xviewer_uc_error_quark (void);

### xviewer_uri_converter_new ()

    XviewerURIConverter *
    xviewer_uri_converter_new (GFile *base_file,
                               GdkPixbufFormat *img_format,
                               const char *format_string);

### xviewer_uri_converter_check ()

    gboolean
    xviewer_uri_converter_check (XviewerURIConverter *converter,
                                 GList *img_list,
                                 GError **error);

### xviewer_uri_converter_requires_exif ()

    gboolean
    xviewer_uri_converter_requires_exif (XviewerURIConverter *converter);

### xviewer_uri_converter_do ()

    gboolean
    xviewer_uri_converter_do (XviewerURIConverter *converter,
                              XviewerImage *image,
                              GFile **file,
                              GdkPixbufFormat **format,
                              GError **error);

### xviewer_uri_converter_preview ()

    char *
    xviewer_uri_converter_preview (const char *format_str,
                                   XviewerImage *img,
                                   GdkPixbufFormat *format,
                                   gulong counter,
                                   guint n_images,
                                   gboolean convert_spaces,
                                   gunichar space_char);

### xviewer_uri_converter_print_list ()

    void
    xviewer_uri_converter_print_list (XviewerURIConverter *conv);

## Types and Values

### enum XviewerUCType

#### Members

XVIEWER_UC_STRING |  |
XVIEWER_UC_FILENAME |  |
XVIEWER_UC_COUNTER |  |
XVIEWER_UC_COMMENT |  |
XVIEWER_UC_DATE |  |
XVIEWER_UC_TIME |  |
XVIEWER_UC_DAY |  |
XVIEWER_UC_MONTH |  |
XVIEWER_UC_YEAR |  |
XVIEWER_UC_HOUR |  |
XVIEWER_UC_MINUTE |  |
XVIEWER_UC_SECOND |  |
XVIEWER_UC_END |  |

### XviewerUCInfo

    typedef struct {
    	char     *description;
    	char     *rep;
    	gboolean req_exif;
    } XviewerUCInfo;

### enum XviewerUCError

#### Members

XVIEWER_UC_ERROR_INVALID_UNICODE |  |
XVIEWER_UC_ERROR_INVALID_CHARACTER |  |
XVIEWER_UC_ERROR_EQUAL_FILENAMES |  |
XVIEWER_UC_ERROR_UNKNOWN |  |

### XVIEWER_UC_ERROR

    #define XVIEWER_UC_ERROR xviewer_uc_error_quark ()

### XviewerURIConverter

    typedef struct {
    	GObject parent;

    	XviewerURIConverterPrivate *priv;
    } XviewerURIConverter;